plugins don't work on darwin/macosx

Bug #687886 reported by Bugs-valaide on 2009-10-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
valide
Medium
Unassigned

Bug Description

Operating system: Darwin (Mac OS X)
Vala version: 0.7.7
Valide version (or svn revision): r425

Plugins don't work on Darwin, they use the wrong shared library type...

They are being built with -dynamiclib (.dylib), while they should have
been built with -bundle (.bundle) in order to be loaded with dlopen(3)

I think this is a waf problem, it needs to build with mac_bundle = True

Nicolas Joseph (gege2061) wrote :

Hello,

I don't have Mac, I'm interested by a tutorial for install Darwin on VirtualBox (or
another virtualizer).

The last time I tried, I could not find anything on
http://developer.apple.com/opensource/index.html

Bugs-valaide (bugs-valaide) wrote :

You might have some success at http://www.puredarwin.org/
but there is no Open Source version of Darwin any longer.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints